Skip to Content
New release 12 available 🎉

Subscriptions

GET/v1/webhooks/subscriptionsGET /v1/webhooks/subscriptions

Code samples

# You can also use wget curl -X GET /v1/webhooks/subscriptions \ -H 'Accept: text/plain' \ -H 'x-api-key: API_KEY'

GET /v1/webhooks/subscriptions

Gets all webhook subscriptions.

Parameters

NameInTypeRequiredDescription
selectquerystringfalsenone
filterquerystringfalsenone
sortquerystringfalsenone
includequerystringfalsenone
takequeryinteger(int32)falsenone
skipqueryinteger(int32)falsenone

Example responses

200 Response

{"subscriptions":[{"id":0,"name":"string","eventType":"string","url":"string","secret":"string","maxRetryCount":0,"isActive":true,"userId":"string","headers":"string","createdAt":"2019-08-24T14:15:22Z","updatedAt":"2019-08-24T14:15:22Z","webhookEvents":[{"id":0,"webhookSubscriptionId":0,"eventType":"string","payload":"string","statusCode":0,"response":"string","errorMessage":"string","isSuccess":true,"retryCount":0,"sentAt":"2019-08-24T14:15:22Z","nextRetryAt":"2019-08-24T14:15:22Z","createdAt":"2019-08-24T14:15:22Z"}]}],"totalSubscriptionsCount":0,"success":true,"message":"string"}
{ "subscriptions": [ { "id": 0, "name": "string", "eventType": "string", "url": "string", "secret": "string", "maxRetryCount": 0, "isActive": true, "userId": "string", "headers": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "webhookEvents": [ { "id": 0, "webhookSubscriptionId": 0, "eventType": "string", "payload": "string", "statusCode": 0, "response": "string", "errorMessage": "string", "isSuccess": true, "retryCount": 0, "sentAt": "2019-08-24T14:15:22Z", "nextRetryAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z" } ] } ], "totalSubscriptionsCount": 0, "success": true, "message": "string" }

Responses

StatusMeaningDescriptionSchema
200OK OKManagement.GetWebhookSubscriptionsResponse

Authentication: API key (x-api-key).

POST/v1/webhooks/subscriptionsPOST /v1/webhooks/subscriptions

Code samples

# You can also use wget curl -X POST /v1/webhooks/subscriptions \ -H 'Content-Type: application/json-patch+json' \ -H 'Accept: text/plain' \ -H 'x-api-key: API_KEY'

POST /v1/webhooks/subscriptions

Creates a new webhook subscription.

Body parameter

{ "subscription": { "name": "string", "eventType": "string", "url": "string", "secret": "string", "headers": { "property1": "string", "property2": "string" }, "maxRetryCount": 0, "isActive": true } }

Parameters

NameInTypeRequiredDescription
bodybodyManagement.CreateWebhookSubscriptionRequestfalseThe subscription details.

Example responses

200 Response

{"subscription":{"id":0,"name":"string","eventType":"string","url":"string","secret":"string","maxRetryCount":0,"isActive":true,"userId":"string","headers":"string","createdAt":"2019-08-24T14:15:22Z","updatedAt":"2019-08-24T14:15:22Z","webhookEvents":[{"id":0,"webhookSubscriptionId":0,"eventType":"string","payload":"string","statusCode":0,"response":"string","errorMessage":"string","isSuccess":true,"retryCount":0,"sentAt":"2019-08-24T14:15:22Z","nextRetryAt":"2019-08-24T14:15:22Z","createdAt":"2019-08-24T14:15:22Z"}]},"success":true,"message":"string"}
{ "subscription": { "id": 0, "name": "string", "eventType": "string", "url": "string", "secret": "string", "maxRetryCount": 0, "isActive": true, "userId": "string", "headers": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "webhookEvents": [ { "id": 0, "webhookSubscriptionId": 0, "eventType": "string", "payload": "string", "statusCode": 0, "response": "string", "errorMessage": "string", "isSuccess": true, "retryCount": 0, "sentAt": "2019-08-24T14:15:22Z", "nextRetryAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z" } ] }, "success": true, "message": "string" }

Responses

StatusMeaningDescriptionSchema
200OK OKManagement.CreateWebhookSubscriptionResponse

Authentication: API key (x-api-key).

GET/v1/webhooks/subscriptions/{id}GET /v1/webhooks/subscriptions/{id}

Code samples

# You can also use wget curl -X GET /v1/webhooks/subscriptions/{id} \ -H 'Accept: text/plain' \ -H 'x-api-key: API_KEY'

GET /v1/webhooks/subscriptions/\{id\}

Gets a webhook subscription by ID.

Parameters

NameInTypeRequiredDescription
idpathinteger(int32)trueThe subscription ID.

Example responses

200 Response

{"subscription":{"id":0,"name":"string","eventType":"string","url":"string","secret":"string","maxRetryCount":0,"isActive":true,"userId":"string","headers":"string","createdAt":"2019-08-24T14:15:22Z","updatedAt":"2019-08-24T14:15:22Z","webhookEvents":[{"id":0,"webhookSubscriptionId":0,"eventType":"string","payload":"string","statusCode":0,"response":"string","errorMessage":"string","isSuccess":true,"retryCount":0,"sentAt":"2019-08-24T14:15:22Z","nextRetryAt":"2019-08-24T14:15:22Z","createdAt":"2019-08-24T14:15:22Z"}]},"success":true,"message":"string"}
{ "subscription": { "id": 0, "name": "string", "eventType": "string", "url": "string", "secret": "string", "maxRetryCount": 0, "isActive": true, "userId": "string", "headers": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "webhookEvents": [ { "id": 0, "webhookSubscriptionId": 0, "eventType": "string", "payload": "string", "statusCode": 0, "response": "string", "errorMessage": "string", "isSuccess": true, "retryCount": 0, "sentAt": "2019-08-24T14:15:22Z", "nextRetryAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z" } ] }, "success": true, "message": "string" }

Responses

StatusMeaningDescriptionSchema
200OK OKManagement.GetWebhookSubscriptionResponse

Authentication: API key (x-api-key).

PUT/v1/webhooks/subscriptions/{id}PUT /v1/webhooks/subscriptions/{id}

Code samples

# You can also use wget curl -X PUT /v1/webhooks/subscriptions/{id} \ -H 'Content-Type: application/json-patch+json' \ -H 'Accept: text/plain' \ -H 'x-api-key: API_KEY'

PUT /v1/webhooks/subscriptions/\{id\}

Updates an existing webhook subscription.

Body parameter

{ "subscription": { "name": "string", "eventType": "string", "url": "string", "secret": "string", "headers": { "property1": "string", "property2": "string" }, "maxRetryCount": 0, "isActive": true } }

Parameters

NameInTypeRequiredDescription
idpathinteger(int32)trueThe subscription ID.
bodybodyManagement.UpdateWebhookSubscriptionRequestfalseThe updated subscription details.

Example responses

200 Response

{"subscription":{"id":0,"name":"string","eventType":"string","url":"string","secret":"string","maxRetryCount":0,"isActive":true,"userId":"string","headers":"string","createdAt":"2019-08-24T14:15:22Z","updatedAt":"2019-08-24T14:15:22Z","webhookEvents":[{"id":0,"webhookSubscriptionId":0,"eventType":"string","payload":"string","statusCode":0,"response":"string","errorMessage":"string","isSuccess":true,"retryCount":0,"sentAt":"2019-08-24T14:15:22Z","nextRetryAt":"2019-08-24T14:15:22Z","createdAt":"2019-08-24T14:15:22Z"}]},"success":true,"message":"string"}
{ "subscription": { "id": 0, "name": "string", "eventType": "string", "url": "string", "secret": "string", "maxRetryCount": 0, "isActive": true, "userId": "string", "headers": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "webhookEvents": [ { "id": 0, "webhookSubscriptionId": 0, "eventType": "string", "payload": "string", "statusCode": 0, "response": "string", "errorMessage": "string", "isSuccess": true, "retryCount": 0, "sentAt": "2019-08-24T14:15:22Z", "nextRetryAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z" } ] }, "success": true, "message": "string" }

Responses

StatusMeaningDescriptionSchema
200OK OKManagement.UpdateWebhookSubscriptionResponse

Authentication: API key (x-api-key).

DELETE/v1/webhooks/subscriptions/{id}DELETE /v1/webhooks/subscriptions/{id}

Code samples

# You can also use wget curl -X DELETE /v1/webhooks/subscriptions/{id} \ -H 'Accept: text/plain' \ -H 'x-api-key: API_KEY'

DELETE /v1/webhooks/subscriptions/\{id\}

Deletes a webhook subscription.

Parameters

NameInTypeRequiredDescription
idpathinteger(int32)trueThe subscription ID.

Example responses

200 Response

{"success":true,"message":"string"}
{ "success": true, "message": "string" }

Responses

StatusMeaningDescriptionSchema
200OK OKManagement.DeleteWebhookSubscriptionResponse

Authentication: API key (x-api-key).

POST/v1/webhooks/subscriptions/{id}/testPOST /v1/webhooks/subscriptions/{id}/test

Code samples

# You can also use wget curl -X POST /v1/webhooks/subscriptions/{id}/test \ -H 'Content-Type: application/json-patch+json' \ -H 'Accept: text/plain' \ -H 'x-api-key: API_KEY'

POST /v1/webhooks/subscriptions/\{id\}/test

Sends a test event for a specific webhook subscription.

Body parameter

{ "payload": null }

Parameters

NameInTypeRequiredDescription
idpathinteger(int32)trueThe subscription ID.
bodybodyManagement.SendWebhookTestEventRequestfalseThe request containing a custom payload to send (optional).

Example responses

200 Response

{"success":true,"message":"string","eventId":0}
{ "success": true, "message": "string", "eventId": 0 }

Responses

StatusMeaningDescriptionSchema
200OK OKManagement.SendWebhookTestEventResponse

Authentication: API key (x-api-key).

Last updated on